Quassel IRC - Bug #984

Input Widet does not clear if command changes active buffer
06/03/2010 03:36 PM - Topy44

Status: Resolved Start date: 06/03/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.7.4

Version: 0.8-pre 0S: Any
Description

If a command issued changes the active buffer, for example "/join #channel" or "/query nickname", and "Input Widget/Enable per chat
history" is checked, the Input Widget does not clear in the buffer that was active when the command was entered.

Example:

[#channel is active buffer]

/query nickname

[query with "nickname" opens]

Change back to #channel buffer

Input Widget contains "/query nickname"

Checked with win32 0.7-pre+86 git-2118039
Bug introduced with introduction of the "Enable per chat history" feature.

Associated revisions

Revision 2ed35d8a6322e49ab604472a7af59592cf36ae12 - 01/22/2012 09:12 PM - Manuel Nickschas
Fix #984 without breaking topic input

Queued connection ensures that the textEdit is already reset() when InputWidget
does its thing, thus solving the history issues.

Approved by Tucos reading it 10 times. :>
Revision 2ed35d8a - 01/22/2012 09:12 PM - Manuel Nickschas
Fix #984 without breaking topic input

Queued connection ensures that the textEdit is already reset() when InputWidget
does its thing, thus solving the history issues.

Approved by Tucos reading it 10 times. :>
Revision c¢79746f6919a90688571d5bd2d2fdf1c4a31b628 - 01/22/2012 09:14 PM - Manuel Nickschas
Fix #984 without breaking topic input

Queued connection ensures that the textEdit is already reset() when InputWidget
does its thing, thus solving the history issues.

Approved by Tucos reading it 10 times. :>
Revision c79746f6 - 01/22/2012 09:14 PM - Manuel Nickschas
Fix #984 without breaking topic input

Queued connection ensures that the textEdit is already reset() when InputWidget
does its thing, thus solving the history issues.

Approved by Tucos reading it 10 times. :>

History

#1 - 06/07/2010 11:51 PM - flamingspinach
Replicated.
#2 - 09/06/2010 11:02 AM - flamingspinach

| can no longer replicate this. Must have been fixed at some point.

#3 - 09/06/2010 11:17 AM - flamingspinach

Disregard that. | can replicate this with commands that switch the buffer to another, existent buffer, but not when the command creates the new buffer
before switching to it.

#4 - 09/14/2010 06:32 PM - brot

| can confirm this with v0.8-pre (0.8-pre+3 git-e7e5830)

The easiest way to reproduce is to open a query with $user and then write "/query $user" into an active buffer.
| will look into that, but i cant promise i can fix it ;)

#5 - 01/20/2012 07:39 PM - johu

- Status changed from New to Confirmed

- Target version set to 0.8.0

- Version changed from 0.6-pre to 0.8-pre

#6 - 01/20/2012 07:43 PM - johu

- Status changed from Confirmed to Resolved

see b56a8712

#7 - 01/21/2012 08:44 PM - johu
- Target version changed from 0.8.0 to 0.7.4
https://wiki.quassel-irc.org/projects/quassel-irc/repository/revisions/b56a8712f3063e93b68bfa6bd8f2ec67e955df50
